From c73d1303cb3474ccc799eeda252eeef1fc3d9026 Mon Sep 17 00:00:00 2001
From: Craig Ringer <craig@2ndquadrant.com>
Date: Mon, 16 Feb 2015 18:17:48 +1300
Subject: [PATCH 1/4] Add xreflabel to most chapter entries

---
 doc/src/sgml/array.sgml              | 2 +-
 doc/src/sgml/backup.sgml             | 2 +-
 doc/src/sgml/brin.sgml               | 2 +-
 doc/src/sgml/catalogs.sgml           | 2 +-
 doc/src/sgml/client-auth.sgml        | 2 +-
 doc/src/sgml/config.sgml             | 2 +-
 doc/src/sgml/datatype.sgml           | 2 +-
 doc/src/sgml/ddl.sgml                | 2 +-
 doc/src/sgml/diskusage.sgml          | 2 +-
 doc/src/sgml/dml.sgml                | 2 +-
 doc/src/sgml/errcodes.sgml           | 2 +-
 doc/src/sgml/event-trigger.sgml      | 2 +-
 doc/src/sgml/extend.sgml             | 2 +-
 doc/src/sgml/features.sgml           | 2 +-
 doc/src/sgml/func.sgml               | 2 +-
 doc/src/sgml/gin.sgml                | 2 +-
 doc/src/sgml/gist.sgml               | 2 +-
 doc/src/sgml/high-availability.sgml  | 2 +-
 doc/src/sgml/indices.sgml            | 2 +-
 doc/src/sgml/information_schema.sgml | 2 +-
 doc/src/sgml/json.sgml               | 2 +-
 doc/src/sgml/keywords.sgml           | 2 +-
 doc/src/sgml/libpq.sgml              | 2 +-
 doc/src/sgml/lobj.sgml               | 2 +-
 doc/src/sgml/logicaldecoding.sgml    | 2 +-
 doc/src/sgml/maintenance.sgml        | 2 +-
 doc/src/sgml/manage-ag.sgml          | 2 +-
 doc/src/sgml/monitoring.sgml         | 2 +-
 doc/src/sgml/mvcc.sgml               | 2 +-
 doc/src/sgml/perform.sgml            | 2 +-
 doc/src/sgml/plperl.sgml             | 2 +-
 doc/src/sgml/plpgsql.sgml            | 2 +-
 doc/src/sgml/plpython.sgml           | 2 +-
 doc/src/sgml/pltcl.sgml              | 2 +-
 doc/src/sgml/rangetypes.sgml         | 2 +-
 doc/src/sgml/recovery-config.sgml    | 2 +-
 doc/src/sgml/reference.sgml          | 2 +-
 doc/src/sgml/regress.sgml            | 2 +-
 doc/src/sgml/release.sgml            | 2 +-
 doc/src/sgml/rowtypes.sgml           | 2 +-
 doc/src/sgml/rules.sgml              | 2 +-
 doc/src/sgml/runtime.sgml            | 2 +-
 doc/src/sgml/spgist.sgml             | 2 +-
 doc/src/sgml/spi.sgml                | 4 ++--
 doc/src/sgml/sql.sgml                | 2 +-
 doc/src/sgml/storage.sgml            | 2 +-
 doc/src/sgml/syntax.sgml             | 2 +-
 doc/src/sgml/textsearch.sgml         | 2 +-
 doc/src/sgml/trigger.sgml            | 2 +-
 doc/src/sgml/typeconv.sgml           | 2 +-
 doc/src/sgml/user-manag.sgml         | 2 +-
 doc/src/sgml/wal.sgml                | 2 +-
 doc/src/sgml/xaggr.sgml              | 2 +-
 doc/src/sgml/xfunc.sgml              | 6 +++---
 doc/src/sgml/xoper.sgml              | 2 +-
 doc/src/sgml/xplang.sgml             | 2 +-
 doc/src/sgml/xtypes.sgml             | 2 +-
 57 files changed, 60 insertions(+), 60 deletions(-)

diff --git a/doc/src/sgml/array.sgml b/doc/src/sgml/array.sgml
index 9ea1068..7c68828 100644
--- a/doc/src/sgml/array.sgml
+++ b/doc/src/sgml/array.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/array.sgml -->
 
-<sect1 id="arrays">
+<sect1 id="arrays" xreflabel="Arrays">
  <title>Arrays</title>
 
  <indexterm>
diff --git a/doc/src/sgml/backup.sgml b/doc/src/sgml/backup.sgml
index 07ca0dc..c1ade01 100644
--- a/doc/src/sgml/backup.sgml
+++ b/doc/src/sgml/backup.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/backup.sgml -->
 
-<chapter id="backup">
+<chapter id="backup" xreflabel="Backup and Restore">
  <title>Backup and Restore</title>
 
  <indexterm zone="backup"><primary>backup</></>
diff --git a/doc/src/sgml/brin.sgml b/doc/src/sgml/brin.sgml
index 1ac282c..ae6f3f5 100644
--- a/doc/src/sgml/brin.sgml
+++ b/doc/src/sgml/brin.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/brin.sgml -->
 
-<chapter id="BRIN">
+<chapter id="BRIN" xreflabel="BRIN Indexes">
 <title>BRIN Indexes</title>
 
    <indexterm>
diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index 515a40e..599d524 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -3,7 +3,7 @@
  Documentation of the system catalogs, directed toward PostgreSQL developers
  -->
 
-<chapter id="catalogs">
+<chapter id="catalogs" xreflabel="System Catalogs">
  <title>System Catalogs</title>
 
   <para>
diff --git a/doc/src/sgml/client-auth.sgml b/doc/src/sgml/client-auth.sgml
index 7704f73..22cfc05 100644
--- a/doc/src/sgml/client-auth.sgml
+++ b/doc/src/sgml/client-auth.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/client-auth.sgml -->
 
-<chapter id="client-authentication">
+<chapter id="client-authentication" xreflabel="Client Authentication">
  <title>Client Authentication</title>
 
  <indexterm zone="client-authentication">
diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 6bcb106..7d86014 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/config.sgml -->
 
-<chapter id="runtime-config">
+<chapter id="runtime-config" xreflabel="Server Configuration">
   <title>Server Configuration</title>
 
   <indexterm>
diff --git a/doc/src/sgml/datatype.sgml b/doc/src/sgml/datatype.sgml
index edf636b..2c2dc9d 100644
--- a/doc/src/sgml/datatype.sgml
+++ b/doc/src/sgml/datatype.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/datatype.sgml -->
 
- <chapter id="datatype">
+ <chapter id="datatype" xreflabel="Data Types">
   <title>Data Types</title>
 
   <indexterm zone="datatype">
diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index 570a003..964e158 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/ddl.sgml -->
 
-<chapter id="ddl">
+<chapter id="ddl" xreflabel="Data Definition">
  <title>Data Definition</title>
 
  <para>
diff --git a/doc/src/sgml/diskusage.sgml b/doc/src/sgml/diskusage.sgml
index 461deb9..20ee0b9 100644
--- a/doc/src/sgml/diskusage.sgml
+++ b/doc/src/sgml/diskusage.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/diskusage.sgml -->
 
-<chapter id="diskusage">
+<chapter id="diskusage" xreflabel="Monitoring Disk Usage">
  <title>Monitoring Disk Usage</title>
 
  <para>
diff --git a/doc/src/sgml/dml.sgml b/doc/src/sgml/dml.sgml
index cd36a73..4472957 100644
--- a/doc/src/sgml/dml.sgml
+++ b/doc/src/sgml/dml.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/dml.sgml -->
 
-<chapter id="dml">
+<chapter id="dml" xreflabel="Data Manipulation">
  <title>Data Manipulation</title>
 
  <remark>
diff --git a/doc/src/sgml/errcodes.sgml b/doc/src/sgml/errcodes.sgml
index 40b4191..31116c2 100644
--- a/doc/src/sgml/errcodes.sgml
+++ b/doc/src/sgml/errcodes.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/errcodes.sgml -->
 
-<appendix id="errcodes-appendix">
+<appendix id="errcodes-appendix" xreflabel="Error Codes">
  <title><productname>PostgreSQL</productname> Error Codes</title>
 
  <indexterm zone="errcodes-appendix">
diff --git a/doc/src/sgml/event-trigger.sgml b/doc/src/sgml/event-trigger.sgml
index 156c463..a0d3505 100644
--- a/doc/src/sgml/event-trigger.sgml
+++ b/doc/src/sgml/event-trigger.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/event-trigger.sgml -->
 
- <chapter id="event-triggers">
+ <chapter id="event-triggers" xreflabel="Event Triggers">
   <title>Event Triggers</title>
 
   <indexterm zone="event-triggers">
diff --git a/doc/src/sgml/extend.sgml b/doc/src/sgml/extend.sgml
index be10252..48814bc 100644
--- a/doc/src/sgml/extend.sgml
+++ b/doc/src/sgml/extend.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/extend.sgml -->
 
- <chapter id="extend">
+ <chapter id="extend" xreflabel="Extending SQL">
   <title>Extending <acronym>SQL</acronym></title>
 
   <indexterm zone="extend">
diff --git a/doc/src/sgml/features.sgml b/doc/src/sgml/features.sgml
index 6c22d69..e4c6b3f 100644
--- a/doc/src/sgml/features.sgml
+++ b/doc/src/sgml/features.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/features.sgml -->
 
-<appendix id="features">
+<appendix id="features" xreflabel="SQL Conformance">
  <title>SQL Conformance</title>
 
  <para>
diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index da2ed67..fd8f642 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/func.sgml -->
 
- <chapter id="functions">
+ <chapter id="functions" xreflabel="Functions and Operators">
   <title>Functions and Operators</title>
 
   <indexterm zone="functions">
diff --git a/doc/src/sgml/gin.sgml b/doc/src/sgml/gin.sgml
index 262f1e4..28e7d5e 100644
--- a/doc/src/sgml/gin.sgml
+++ b/doc/src/sgml/gin.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/gin.sgml -->
 
-<chapter id="GIN">
+<chapter id="GIN" xreflabel="GIN Indexes">
 <title>GIN Indexes</title>
 
    <indexterm>
diff --git a/doc/src/sgml/gist.sgml b/doc/src/sgml/gist.sgml
index 31ce279..50721f3 100644
--- a/doc/src/sgml/gist.sgml
+++ b/doc/src/sgml/gist.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/gist.sgml -->
 
-<chapter id="GiST">
+<chapter id="GiST" xreflabel="GiST indexes">
 <title>GiST Indexes</title>
 
    <indexterm>
diff --git a/doc/src/sgml/high-availability.sgml b/doc/src/sgml/high-availability.sgml
index d249959..d07b6e5 100644
--- a/doc/src/sgml/high-availability.sgml
+++ b/doc/src/sgml/high-availability.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/high-availability.sgml -->
 
-<chapter id="high-availability">
+<chapter id="high-availability" xreflabel="High Availability, Load Balancing, and Replication">
  <title>High Availability, Load Balancing, and Replication</title>
 
  <indexterm><primary>high availability</></>
diff --git a/doc/src/sgml/indices.sgml b/doc/src/sgml/indices.sgml
index b73463a..585241d 100644
--- a/doc/src/sgml/indices.sgml
+++ b/doc/src/sgml/indices.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/indices.sgml -->
 
-<chapter id="indexes">
+<chapter id="indexes" xreflabel="Indexes">
  <title>Indexes</title>
 
  <indexterm zone="indexes">
diff --git a/doc/src/sgml/information_schema.sgml b/doc/src/sgml/information_schema.sgml
index 22f43c8..8a3b317 100644
--- a/doc/src/sgml/information_schema.sgml
+++ b/doc/src/sgml/information_schema.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/information_schema.sgml -->
 
-<chapter id="information-schema">
+<chapter id="information-schema" xreflabel="The Information Schema">
  <title>The Information Schema</title>
 
  <indexterm zone="information-schema">
diff --git a/doc/src/sgml/json.sgml b/doc/src/sgml/json.sgml
index 6282ab8..1833e76 100644
--- a/doc/src/sgml/json.sgml
+++ b/doc/src/sgml/json.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/json.sgml -->
 
-<sect1 id="datatype-json">
+<sect1 id="datatype-json" xreflabel="JSON types">
  <title><acronym>JSON</> Types</title>
 
  <indexterm zone="datatype-json">
diff --git a/doc/src/sgml/keywords.sgml b/doc/src/sgml/keywords.sgml
index b0dfd5f..f8345bc 100644
--- a/doc/src/sgml/keywords.sgml
+++ b/doc/src/sgml/keywords.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/keywords.sgml -->
 
-<appendix id="sql-keywords-appendix">
+<appendix id="sql-keywords-appendix" xreflabel="SQL Key Words">
  <title><acronym>SQL</acronym> Key Words</title>
 
  <indexterm zone="sql-keywords-appendix">
diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 39aede4..92b4a92 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/libpq.sgml -->
 
-<chapter id="libpq">
+<chapter id="libpq" xreflabel="libpq">
  <title><application>libpq</application> - C Library</title>
 
  <indexterm zone="libpq">
diff --git a/doc/src/sgml/lobj.sgml b/doc/src/sgml/lobj.sgml
index d6fb8c5..cd5df8b 100644
--- a/doc/src/sgml/lobj.sgml
+++ b/doc/src/sgml/lobj.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/lobj.sgml -->
 
- <chapter id="largeObjects">
+ <chapter id="largeObjects" xreflabel="Large Objects">
   <title>Large Objects</title>
 
   <indexterm zone="largeobjects"><primary>large object</></>
diff --git a/doc/src/sgml/logicaldecoding.sgml b/doc/src/sgml/logicaldecoding.sgml
index 3650567..7a70270 100644
--- a/doc/src/sgml/logicaldecoding.sgml
+++ b/doc/src/sgml/logicaldecoding.sgml
@@ -1,5 +1,5 @@
 <!-- doc/src/sgml/logicaldecoding.sgml -->
- <chapter id="logicaldecoding">
+ <chapter id="logicaldecoding" xreflabel="Logical Decoding">
   <title>Logical Decoding</title>
   <indexterm zone="logicaldecoding">
    <primary>Logical Decoding</primary>
diff --git a/doc/src/sgml/maintenance.sgml b/doc/src/sgml/maintenance.sgml
index 8764e00..8d8bbad 100644
--- a/doc/src/sgml/maintenance.sgml
+++ b/doc/src/sgml/maintenance.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/maintenance.sgml -->
 
-<chapter id="maintenance">
+<chapter id="maintenance" xreflabel="Routine Database Maintenance Tasks">
  <title>Routine Database Maintenance Tasks</title>
 
  <indexterm zone="maintenance">
diff --git a/doc/src/sgml/manage-ag.sgml b/doc/src/sgml/manage-ag.sgml
index 78ec509..795d407 100644
--- a/doc/src/sgml/manage-ag.sgml
+++ b/doc/src/sgml/manage-ag.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/manage-ag.sgml -->
 
-<chapter id="managing-databases">
+<chapter id="managing-databases" xreflabel="Managing Databases">
  <title>Managing Databases</title>
 
  <indexterm zone="managing-databases"><primary>database</></>
diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 3ce7e80..f062fc3 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/monitoring.sgml -->
 
-<chapter id="monitoring">
+<chapter id="monitoring" xreflabel="Monitoring Database Activity">
  <title>Monitoring Database Activity</title>
 
  <indexterm zone="monitoring">
diff --git a/doc/src/sgml/mvcc.sgml b/doc/src/sgml/mvcc.sgml
index a0d6867..00dcdf9 100644
--- a/doc/src/sgml/mvcc.sgml
+++ b/doc/src/sgml/mvcc.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/mvcc.sgml -->
 
- <chapter id="mvcc">
+ <chapter id="mvcc" xreflabel="Concurrency Control">
   <title>Concurrency Control</title>
 
   <indexterm>
diff --git a/doc/src/sgml/perform.sgml b/doc/src/sgml/perform.sgml
index 5a087fb..0b1b1c3 100644
--- a/doc/src/sgml/perform.sgml
+++ b/doc/src/sgml/perform.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/perform.sgml -->
 
- <chapter id="performance-tips">
+ <chapter id="performance-tips" xreflabel="Peformance Tips">
   <title>Performance Tips</title>
 
   <indexterm zone="performance-tips">
diff --git a/doc/src/sgml/plperl.sgml b/doc/src/sgml/plperl.sgml
index 9117769..6f37b82 100644
--- a/doc/src/sgml/plperl.sgml
+++ b/doc/src/sgml/plperl.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/plperl.sgml -->
 
- <chapter id="plperl">
+ <chapter id="plperl" xreflabel="PL/Perl">
   <title>PL/Perl - Perl Procedural Language</title>
 
   <indexterm zone="plperl">
diff --git a/doc/src/sgml/plpgsql.sgml b/doc/src/sgml/plpgsql.sgml
index 69a0885..9837a42 100644
--- a/doc/src/sgml/plpgsql.sgml
+++ b/doc/src/sgml/plpgsql.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/plpgsql.sgml -->
 
-<chapter id="plpgsql">
+<chapter id="plpgsql" xreflabel="PL/PgSQL">
   <title><application>PL/pgSQL</application> - <acronym>SQL</acronym> Procedural Language</title>
 
  <indexterm zone="plpgsql">
diff --git a/doc/src/sgml/plpython.sgml b/doc/src/sgml/plpython.sgml
index c838c7b..50f6d51 100644
--- a/doc/src/sgml/plpython.sgml
+++ b/doc/src/sgml/plpython.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/plpython.sgml -->
 
-<chapter id="plpython">
+<chapter id="plpython" xreflabel="PL/Python">
  <title>PL/Python - Python Procedural Language</title>
 
  <indexterm zone="plpython"><primary>PL/Python</></>
diff --git a/doc/src/sgml/pltcl.sgml b/doc/src/sgml/pltcl.sgml
index d2175d5..94e96d8 100644
--- a/doc/src/sgml/pltcl.sgml
+++ b/doc/src/sgml/pltcl.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/pltcl.sgml -->
 
- <chapter id="pltcl">
+ <chapter id="pltcl" xreflabel="PL/TCL">
   <title>PL/Tcl - Tcl Procedural Language</title>
 
   <indexterm zone="pltcl">
diff --git a/doc/src/sgml/rangetypes.sgml b/doc/src/sgml/rangetypes.sgml
index d112561..d7e613a 100644
--- a/doc/src/sgml/rangetypes.sgml
+++ b/doc/src/sgml/rangetypes.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/rangetypes.sgml -->
 
-<sect1 id="rangetypes">
+<sect1 id="rangetypes" xreflabel="Range Types">
  <title>Range Types</title>
 
  <indexterm>
diff --git a/doc/src/sgml/recovery-config.sgml b/doc/src/sgml/recovery-config.sgml
index 0c64ff2..7c99c2d 100644
--- a/doc/src/sgml/recovery-config.sgml
+++ b/doc/src/sgml/recovery-config.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/recovery-config.sgml -->
 
-<chapter id="recovery-config">
+<chapter id="recovery-config" xreflabel="Recovery Configuration">
   <title>Recovery Configuration</title>
 
   <indexterm>
diff --git a/doc/src/sgml/reference.sgml b/doc/src/sgml/reference.sgml
index 10c9a6d..389dbcd 100644
--- a/doc/src/sgml/reference.sgml
+++ b/doc/src/sgml/reference.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/reference.sgml -->
 
-<part id="reference">
+<part id="reference" xreflabel="Reference">
  <title>Reference</title>
 
  <partintro>
diff --git a/doc/src/sgml/regress.sgml b/doc/src/sgml/regress.sgml
index 504d8da..a7b0f41 100644
--- a/doc/src/sgml/regress.sgml
+++ b/doc/src/sgml/regress.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/regress.sgml -->
 
- <chapter id="regress">
+ <chapter id="regress" xreflabel="Regression Tests">
   <title>Regression Tests</title>
 
   <indexterm zone="regress">
diff --git a/doc/src/sgml/release.sgml b/doc/src/sgml/release.sgml
index 8385220..8423209 100644
--- a/doc/src/sgml/release.sgml
+++ b/doc/src/sgml/release.sgml
@@ -38,7 +38,7 @@ For new features, add links to the documentation sections.
 
 -->
 
-<appendix id="release">
+<appendix id="release" xreflabel="Release Notes">
  <title>Release Notes</title>
 
   <para>
diff --git a/doc/src/sgml/rowtypes.sgml b/doc/src/sgml/rowtypes.sgml
index 605dc71..cad88a5 100644
--- a/doc/src/sgml/rowtypes.sgml
+++ b/doc/src/sgml/rowtypes.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/rowtypes.sgml -->
 
-<sect1 id="rowtypes">
+<sect1 id="rowtypes" xreflabel="Composite Types">
  <title>Composite Types</title>
 
  <indexterm>
diff --git a/doc/src/sgml/rules.sgml b/doc/src/sgml/rules.sgml
index 973db74..2ac30e9 100644
--- a/doc/src/sgml/rules.sgml
+++ b/doc/src/sgml/rules.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/rules.sgml -->
 
-<chapter id="rules">
+<chapter id="rules" xreflabel="The Rule System">
 <title>The Rule System</title>
 
  <indexterm zone="rules">
diff --git a/doc/src/sgml/runtime.sgml b/doc/src/sgml/runtime.sgml
index 026850a..d90c2ae 100644
--- a/doc/src/sgml/runtime.sgml
+++ b/doc/src/sgml/runtime.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/runtime.sgml -->
 
-<chapter id="runtime">
+<chapter id="runtime" xreflabel="Server Setup and Operation">
  <title>Server Setup and Operation</title>
 
  <para>
diff --git a/doc/src/sgml/spgist.sgml b/doc/src/sgml/spgist.sgml
index 56827e5..424785f 100644
--- a/doc/src/sgml/spgist.sgml
+++ b/doc/src/sgml/spgist.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/spgist.sgml -->
 
-<chapter id="SPGiST">
+<chapter id="SPGiST" xreflabel="SP-GiST indexes">
 <title>SP-GiST Indexes</title>
 
    <indexterm>
diff --git a/doc/src/sgml/spi.sgml b/doc/src/sgml/spi.sgml
index c099fcf..cb85086 100644
--- a/doc/src/sgml/spi.sgml
+++ b/doc/src/sgml/spi.sgml
@@ -1,7 +1,7 @@
 <!-- doc/src/sgml/spi.sgml -->
 
-<chapter id="spi">
- <title>Server Programming Interface</title>
+<chapter id="spi" xreflabel="Server Programming Interface (SPI)">
+ <title>Server Programming Interface (<acronym>SPI</acronym>)</title>
 
  <indexterm zone="spi">
   <primary>SPI</primary>
diff --git a/doc/src/sgml/sql.sgml b/doc/src/sgml/sql.sgml
index 57396d7..88534e8 100644
--- a/doc/src/sgml/sql.sgml
+++ b/doc/src/sgml/sql.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/sql.sgml -->
 
- <chapter id="sql-intro">
+ <chapter id="sql-intro" xreflabel="SQL">
   <title>SQL</title>
 
   <abstract>
diff --git a/doc/src/sgml/storage.sgml b/doc/src/sgml/storage.sgml
index cb76b98..614798e 100644
--- a/doc/src/sgml/storage.sgml
+++ b/doc/src/sgml/storage.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/storage.sgml -->
 
-<chapter id="storage">
+<chapter id="storage" xreflabel="Database Physical Storage">
 
 <title>Database Physical Storage</title>
 
diff --git a/doc/src/sgml/syntax.sgml b/doc/src/sgml/syntax.sgml
index 4b81b08..4d1f075 100644
--- a/doc/src/sgml/syntax.sgml
+++ b/doc/src/sgml/syntax.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/syntax.sgml -->
 
-<chapter id="sql-syntax">
+<chapter id="sql-syntax" xreflabel="SQL Syntax">
  <title>SQL Syntax</title>
 
  <indexterm zone="sql-syntax">
diff --git a/doc/src/sgml/textsearch.sgml b/doc/src/sgml/textsearch.sgml
index 0bc7e7b..5beb7fa 100644
--- a/doc/src/sgml/textsearch.sgml
+++ b/doc/src/sgml/textsearch.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/textsearch.sgml -->
 
-<chapter id="textsearch">
+<chapter id="textsearch" xreflabel="Full Text Search">
  <title>Full Text Search</title>
 
   <indexterm zone="textsearch">
diff --git a/doc/src/sgml/trigger.sgml b/doc/src/sgml/trigger.sgml
index f94aea1..685bce0 100644
--- a/doc/src/sgml/trigger.sgml
+++ b/doc/src/sgml/trigger.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/trigger.sgml -->
 
- <chapter id="triggers">
+ <chapter id="triggers" xreflabel="Triggers">
   <title>Triggers</title>
 
   <indexterm zone="triggers">
diff --git a/doc/src/sgml/typeconv.sgml b/doc/src/sgml/typeconv.sgml
index ed37772..5381a39 100644
--- a/doc/src/sgml/typeconv.sgml
+++ b/doc/src/sgml/typeconv.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/typeconv.sgml -->
 
-<chapter id="typeconv">
+<chapter id="typeconv" xreflabel="Type Conversion">
 <title>Type Conversion</title>
 
 <indexterm zone="typeconv">
diff --git a/doc/src/sgml/user-manag.sgml b/doc/src/sgml/user-manag.sgml
index 177ac7a..eb1a887 100644
--- a/doc/src/sgml/user-manag.sgml
+++ b/doc/src/sgml/user-manag.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/user-manag.sgml -->
 
-<chapter id="user-manag">
+<chapter id="user-manag" xreflabel="Database Roles">
  <title>Database Roles</title>
 
  <para>
diff --git a/doc/src/sgml/wal.sgml b/doc/src/sgml/wal.sgml
index 1254c03..0f237cc 100644
--- a/doc/src/sgml/wal.sgml
+++ b/doc/src/sgml/wal.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/wal.sgml -->
 
-<chapter id="wal">
+<chapter id="wal" xreflabel="Reliability and the Write-Ahead Log">
  <title>Reliability and the Write-Ahead Log</title>
 
  <para>
diff --git a/doc/src/sgml/xaggr.sgml b/doc/src/sgml/xaggr.sgml
index ef7cff4..7709764 100644
--- a/doc/src/sgml/xaggr.sgml
+++ b/doc/src/sgml/xaggr.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/xaggr.sgml -->
 
- <sect1 id="xaggr">
+ <sect1 id="xaggr" xreflabel="User-defined Aggregates">
   <title>User-defined Aggregates</title>
 
   <indexterm zone="xaggr">
diff --git a/doc/src/sgml/xfunc.sgml b/doc/src/sgml/xfunc.sgml
index f40504c..6eada92 100644
--- a/doc/src/sgml/xfunc.sgml
+++ b/doc/src/sgml/xfunc.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/xfunc.sgml -->
 
- <sect1 id="xfunc">
+ <sect1 id="xfunc" xreflabel="user-defined functions">
   <title>User-defined Functions</title>
 
   <indexterm zone="xfunc">
@@ -3304,7 +3304,7 @@ CREATE FUNCTION make_array(anyelement) RETURNS anyarray
     </para>
    </sect2>
 
-   <sect2>
+   <sect2 id="xfunc-shmem-lwlocks" xreflabel="shared memory and LWLocks in user-defined C functions">
     <title>Shared Memory and LWLocks</title>
 
     <para>
@@ -3350,7 +3350,7 @@ if (!ptr)
     </para>
    </sect2>
 
-   <sect2 id="extend-Cpp">
+   <sect2 id="extend-Cpp" xreflabel="using C++ for extensibility">
     <title>Using C++ for Extensibility</title>
 
     <indexterm zone="extend-Cpp">
diff --git a/doc/src/sgml/xoper.sgml b/doc/src/sgml/xoper.sgml
index 8568e21..c6fcbd8 100644
--- a/doc/src/sgml/xoper.sgml
+++ b/doc/src/sgml/xoper.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/xoper.sgml -->
 
- <sect1 id="xoper">
+ <sect1 id="xoper" xreflabel="User-defined Operators">
   <title>User-defined Operators</title>
 
   <indexterm zone="xoper">
diff --git a/doc/src/sgml/xplang.sgml b/doc/src/sgml/xplang.sgml
index 68220bf..55ba40a 100644
--- a/doc/src/sgml/xplang.sgml
+++ b/doc/src/sgml/xplang.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/xplang.sgml -->
 
- <chapter id="xplang">
+ <chapter id="xplang" xreflabel="Procedural Languages">
   <title>Procedural Languages</title>
 
   <indexterm zone="xplang">
diff --git a/doc/src/sgml/xtypes.sgml b/doc/src/sgml/xtypes.sgml
index e1340ba..44340ab 100644
--- a/doc/src/sgml/xtypes.sgml
+++ b/doc/src/sgml/xtypes.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/xtypes.sgml -->
 
- <sect1 id="xtypes">
+ <sect1 id="xtypes" xreflabel="User-defined Types">
   <title>User-defined Types</title>
 
   <indexterm zone="xtypes">
-- 
2.1.0

